/*
 * The SmartWeb Framework
 * Copyright (C) 2004-2006
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * For further informations on the SmartWeb Framework please visit
 *
 *                        http://smartweb.sourceforge.net
 */
 
package net.smartlab.web;

import javax.servlet.jsp.JspException;

import org.apache.struts.taglib.html.HiddenTag;

/**
 * This tag is an helper to mark a multiple selection as empty using an hidden HTML tag as a marker.
 * 
 * @author rlogiacco
 * @jsp.tag name="empty-marker" body-content="empty"
 */
public class EmptyMarkerTag extends HiddenTag {

	private static final long serialVersionUID = -2598054548619840702L;
	
	/**
	 * Value of the hidden field to mark as an empty selection.
	 */
	public final static String EMPTY_MARKER = "net.smartlab.web.empty";

	/**
	 * @see javax.servlet.jsp.tagext.Tag#doStartTag()
	 */
	public int doStartTag() throws JspException {
		super.value = EMPTY_MARKER;
		return super.doStartTag();
	}
}